Subject: bug#49574: 28.0.50; [ELPA] [PATCH] Remove deprecated modus-{operandi,vivendi}-themes

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 16 Jul 2021 12:12:07 +0200

Protesilaos Stavrou <[email-masked]> writes:

> Following the release of version 1.5.0 of the modus-themes (bug#49572),
> I believe this is the right time to remove the long-discontinued
> packages 'modus-operandi-theme' and 'modus-vivendi-theme'.
>
> The technicalities were discussed in bug#46964, with the gist being that
> we would provide users a few months to migrate to the new 'modus-themes'
> package.  We had also introduced code in the old packages that would
> pull in the new package, so we can assume that the old packages are no
> longer required.
>
> The change I would like to install is attached.

The deprecated themes were also new in Emacs 28, so I think removing
them (since they've been replaced by a new theme) should be fine.

Eli, do you have an opinion here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no